Main Page Modules Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# deMapConverter::VertexGrid Class Reference

Collaboration diagram for deMapConverter::VertexGrid:

[legend]
List of all members.

## Public Member Functions
| VertexGrid (const deAABB &BBox, int NumVerts)
long | GetVertIndex (const deVec3d &v)
GridEdge * | MakeEdge (const deVec3d &vert1, const deVec3d &vert2)
void | AddEdge (const GridEdge *edge)
void | GetUnequalLoEdges (const GridEdge *sharededge, deTList< GridEdge * > &edges)
void | GetUnequalHiEdges (const GridEdge *sharededge, deTList< GridEdge * > &edges)
void | WeldVertex (deVec3d &v)
void | GetVertex (long index, deVec3d &v)
## Private Attributes
deTArray< deVec3d > | mVertices
deTArray< deTList< GridEdge > > | mEdges
deTArray< GridBox > | mGrid
deVec3d | mOffset
deVec3d | mSize
deDouble | mDimension
long | mX
long | mY
long | mZ

## Constructor & Destructor Documentation

deMapConverter::VertexGrid::VertexGrid | ( | const deAABB & | BBox,
|  | int | NumVerts
| ) | `[inline]`

## Member Function Documentation

void deMapConverter::VertexGrid::AddEdge | ( | const GridEdge * | edge | ) | `[inline]`

void deMapConverter::VertexGrid::GetUnequalHiEdges | ( | const GridEdge * | sharededge,
|  | deTList< GridEdge * > & | edges
| ) | `[inline]`

void deMapConverter::VertexGrid::GetUnequalLoEdges | ( | const GridEdge * | sharededge,
|  | deTList< GridEdge * > & | edges
| ) | `[inline]`

void deMapConverter::VertexGrid::GetVertex | ( | long | index,
|  | deVec3d & | v
| ) | `[inline]`

long deMapConverter::VertexGrid::GetVertIndex | ( | const deVec3d & | v | ) | `[inline]`

GridEdge* deMapConverter::VertexGrid::MakeEdge | ( | const deVec3d & | vert1,
|  | const deVec3d & | vert2
| ) | `[inline]`

void deMapConverter::VertexGrid::WeldVertex | ( | deVec3d & | v | ) | `[inline]`

## Member Data Documentation

deDouble deMapConverter::VertexGrid::mDimension`[private]`

deTArray< deTList<GridEdge> > deMapConverter::VertexGrid::mEdges`[private]`

deTArray<GridBox> deMapConverter::VertexGrid::mGrid`[private]`

deVec3d deMapConverter::VertexGrid::mOffset`[private]`

deVec3d deMapConverter::VertexGrid::mSize`[private]`

deTArray<deVec3d> deMapConverter::VertexGrid::mVertices`[private]`

long deMapConverter::VertexGrid::mX`[private]`

long deMapConverter::VertexGrid::mY`[private]`

long deMapConverter::VertexGrid::mZ`[private]`

The documentation for this class was generated from the following file:

- deMapCompile.cpp